Bug 833245 - RFE: Expose revision information for images
RFE: Expose revision information for images
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks: 1030132
  Show dependency treegraph
 
Reported: 2012-06-18 22:48 EDT by Matthew Casperson
Modified: 2014-10-26 21:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Casperson 2012-06-18 22:48:20 EDT
Images need to have their revisions exposed in the UI
Comment 1 Lee Newson 2012-11-23 00:26:12 EST
There is currently a bug here that caused all of the image revisions to be lost. This is fixed in build 20121123-1253.

The cause of the bug was that the columnDefinition wasn't set on the blob getters in the entity class. As such they were automatically mapped to TINYBLOB in MySQL and that can only only store 255 bytes of information. As such all images will now have no revisions expect the current one.

As for displaying the revisions that still needs to be done.

Note You need to log in before you can comment on or make changes to this bug.